## Apache Zeta Components Manual :: Docs For Class ezcPersistentFindQuery

### PersistentObject::ezcPersistentFindQuery

### Class ezcPersistentFindQuery

Find query object to be used with ezcPersistentSession.

An instance of this class is returned by ezcPersistentSession->createFindQuery() since PersistentObject 1.6, instead of a pure ezcQuerySelect object. This class deals as a decorator for ezcQuerySelect and offers the very same API. In addition, it allows PersistentObject to store and determine the class for objects to fetch from the query object. This deprecates the second parameter to ezcPersistentSession->find().

Source for this file: /PersistentObject/src/queries/find_query.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcPersistentFindWithRelationsQuery | Find query object for pre-fetching queries in ezcPersistentSessionIdentityDecorator.
ezcPersistentRelationFindQuery | Find query object to be used with ezcPersistentSessionIdentityDecorator.

### Member Variables

protected array(string=>mixed) | `$properties = array()` Properties.

### Method Summary

public ezcPersistentFindQuery | `__construct( $query , $className )` Creates a new persistent find query.
public mixed | `__call( $methodName , $arguments )` Delegate to inner $query object.

### Methods

#### __construct

ezcPersistentFindQuery __construct( $query , string $className )

Creates a new persistent find query.

Creates a new persistent find query from the query object $q and the given $className.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$query` | ezcQuerySelect |
`$className` | string |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcPersistentFindWithRelationsQuery::__construct()` | Creates a new persistent find query.
`ezcPersistentRelationFindQuery::__construct()` | Creates a new relation find query.

#### __call

mixed __call( string $methodName , array $arguments )

Delegate to inner $query object.

Delegates calls to unknown methods to $query property.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$methodName` | string |
`$arguments` | array |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcPersistentFindWithRelationsQuery::__call()` | Delegate to inner $query object.

Documentation generated by phpDocumentor 1.4.3